﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.Layouts;
using Telerik.WinControls.UI;

namespace WindowsFormsApplication6
{
    public partial class Form1 : Form
    {
        RadHostItem h;

        public Form1()
        {
            InitializeComponent();

            for (int i = 0; i < 50; i++)
            {
                RadTreeNode node = new RadTreeNode();
                node.Text = "Node" + i.ToString();
                this.radTreeView1.Nodes.Add(node);
            }

            h = new RadHostItem(this.radTreeView1);            

            this.radComboBox1.Virtualized = false;
            this.radComboBox1.DropDownMinSize = new Size(this.radComboBox1.Width, 600);

            this.radComboBox1.DropDownOpening += new Telerik.WinControls.UI.RadPopupOpeningEventHandler(radComboBox1_DropDownOpening);
            this.radTreeView1.SelectedNodeChanged += new Telerik.WinControls.UI.RadTreeView.RadTreeViewEventHandler(radTreeView1_SelectedNodeChanged);
        }

        void radTreeView1_SelectedNodeChanged(object sender, Telerik.WinControls.UI.RadTreeViewEventArgs e)
        {
            this.radComboBox1.ComboBoxElement.CloseDropDown();
            this.radComboBox1.Text = this.radTreeView1.SelectedNodes[0].Text;
        }

        void radComboBox1_DropDownOpening(object sender, CancelEventArgs args)
        {
            if (this.radComboBox1.ComboBoxElement.ListBoxElement.Parent != null)
            {
                DockLayoutPanel p = (DockLayoutPanel)this.radComboBox1.ComboBoxElement.ListBoxElement.Parent;
                p.Children.Remove(this.radComboBox1.ComboBoxElement.ListBoxElement);
                p.Children.Add(h);
            }
        }
    }
}
